$c-topbar-height: 45px;

// /*enhance foundation top-bar component*/
.c-topbar {
  // @include transition(top 300ms ease-in-out);  // no need with new cssbox model
  // @include transition(left 300ms ease-in-out); // //in sync with $offcanvas-transition-timing 
  // no need with new cssbox model
  align-items: center;
  background-color: $white;
  border-bottom: 1px solid $top-bar-bottom-line;  // Exists only at son dakika
  display: flex;
  justify-content: space-between;
  min-height: $c-topbar-height;
  padding: 0 .5em;
  position: relative;
  text-align: center;
  white-space: nowrap;

  &.-is-transparent {
    background: none;
    border: none;
    position: absolute;
    width: 100%;
    z-index: 1;

    .c-topbar__title {
      display: none;
    }
  }

  [class^="icon-"] {
    @include font-size(17);
    color: $primary-color;
  }
}

.-is-transparent + [class*="-container"] {
  // background: red;
}

.c-topbar__title {
    @include font-size(19.4);
    font-family: $dinpro-cond-font-family;
    font-weight: bold;
    left: 0;
    pointer-events: none;
    position: absolute;
    text-transform: uppercase;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
    }

  .c-topbar__right{
    display: flex;
    flex-flow: row nowrap;
  }

.menu-icon {
  height: 19px;
}


// Sticky menu sections
.top-bar {
  @include transition(top 300ms ease-in-out);
  @include transition(left 300ms ease-in-out); // //in sync with $offcanvas-transition-timing
  align-items: center;
  background-color: $white;
  border-bottom: 1px solid $top-bar-bottom-line;  // Exists only at son dakika
  display: flex;
  min-height: 45px;
  padding: 0 .5em;
  text-align: center;
  white-space: nowrap;

  .top-bar-title {
    @include font-size(19.4);
    font-family: $dinpro-cond-font-family;
    font-weight: bold;
    margin: auto;
    position: relative;
    text-transform: uppercase;
    }
  .top-bar-right{
    display: flex;
  }
}
.top-bar.sticky-menu{
    @include transition(all 150ms ease-in-out); 
    position: fixed;
    top: -60px;
    width: 100%;
    
    &.sticky-menu-show{
      @include transition(all 300ms ease-in-out); 
      left: 0;
      top:0;
    }
    &.sticky-menu-show.is-sticky-open {
      @include transition(all 300ms ease-in-out); 
      left: $offcanvas-size;
      top:0;
    }
    background-color: $white;
     
}

.is-sticky-open:not(.sticky-menu-show){
  left: $offcanvas-size;
}

//slide left-top
.top-bar.sticky-menu.top-bar.sticky-menu.sticky-menu-show.is-sticky-open {
  @include transition(all 300ms ease-in-out); // //in sync with $offcanvas-transition-timing
  left: $offcanvas-size;
  // top: 35px;
}

.is-sticky-open {
  
 
}

.top-bar-menu{
  display: none;
}

.sticky-menu {
  z-index: 2;
  .top-bar-title{ //sticky menu title badge ribbon
    @include font-size(15);
    // background-color: $primary-color;
    color: $white;
    font-weight: normal;
    &::after{
      background-color: $primary-color;
      content: '';
      height: 52px;
      left: 0;
      top: -8px;
      width: 100%;
      position: absolute;
      z-index: -1;
    }
    &::before{
      content: '';
      height: 5px;
      width: 5px;
      position: absolute;
      left: -5px;
      bottom: -12px;
	    border-top: 5px solid $primary-color;
	    border-left: 6px solid transparent;
    }
  }
  .top-bar-menu{
    @include font-size(15);
    display: flex;
    flex-flow: row nowrap;
    font-family: $dinpro-cond-font-family;
    font-weight: bold;
    overflow-x: scroll;
    text-transform: uppercase;
    a{
      color: $black;
      display: block;
      margin: auto 10px;
    }
  }
  .top-bar-right{
    display: none;
  }

  .hamburger,
  .hamburger:after,
  .hamburger:before {
    background-color: $black;
  }
}

.bookmarked::before {
  content: '\E812';
}